Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.reference
Class ReferenceMultiControlTester

    java.lang.Object
      org.eclipse.emf.ecp.edit.internal.swt.reference.ReferenceMultiControlTester

All Implemented Interfaces:
  ECPApplicableTester

    public class ReferenceMultiControlTester

extends Object
implements ECPApplicableTester

This is a dynamic tester for an reference multi control. It tests whether there is a control with a static tester which would fit.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.edit.spi.util.ECPApplicableTester
`NOT_APPLICABLE`

Constructor Summary
`ReferenceMultiControlTester()`

Method Summary
`static int` | `getTesterPriority(ECPStaticApplicableTester tester, org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.ecore.EObject eObject)` Calculates the priority of the attribute tester.
`int` | `isApplicable(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)` Returns the priority of the corresponding control for the combination of the `EObject` and the `EStructuralFeature`.
`int` | `isApplicable(org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor, org.eclipse.emf.ecore.EObject eObject)` Deprecated.
`int` | `isApplicable(VDomainModelReference domainModelReference)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceMultiControlTester

    public ReferenceMultiControlTester()

Method Detail

### isApplicable

    @Deprecated
    public int isApplicable(org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor,
                                       org.eclipse.emf.ecore.EObject eObject)

  Deprecated.

  Returns the priority of the corresponding control for the combination of the `EObject` and the `IItemPropertyDescriptor`.

  Specified by:
    `isApplicable` in interface `ECPApplicableTester`
  Parameters:
    `itemPropertyDescriptor` - the `IItemPropertyDescriptor` to test
    `eObject` - the `EObject` to test
  Returns:
    `ECPApplicableTester.NOT_APPLICABLE` if the corresponding control should not be used, a positivie integer value otherwise. The control with the highest priority will be taken.

### isApplicable

    public int isApplicable(org.eclipse.emf.ecore.EObject eObject,
                            org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

  Returns the priority of the corresponding control for the combination of the `EObject` and the `EStructuralFeature`.

  Specified by:
    `isApplicable` in interface `ECPApplicableTester`
  Parameters:
    `eObject` - the `EObject` to test
    `eStructuralFeature` - the `EStructuralFeature` to test
  Returns:
    `ECPApplicableTester.NOT_APPLICABLE` if the corresponding control should not be used, a positivie integer value otherwise. The control with the highest priority will be taken.
  See Also:
    `ECPApplicableTester.isApplicable(org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature)`

### getTesterPriority

    public static int getTesterPriority(ECPStaticApplicableTester tester,
                                        org.eclipse.emf.ecore.EStructuralFeature feature,
                                        org.eclipse.emf.ecore.EObject eObject)

  Calculates the priority of the attribute tester.

  Parameters:
    `tester` - the tester to get the priority for
    `feature` - the `EStructuralFeature`
    `eObject` - the `EObject`
  Returns:
    the priority

### isApplicable

    @Deprecated
    public int isApplicable(VDomainModelReference domainModelReference)

  Deprecated.

  Returns the priority of the corresponding control for the provided `VDomainModelReference`.

  Specified by:
    `isApplicable` in interface `ECPApplicableTester`
  Parameters:
    `domainModelReference` - the `VDomainModelReference` to test
  Returns:
    `ECPApplicableTester.NOT_APPLICABLE` if the corresponding control should not be used, a positivie integer value otherwise. The control with the highest priority will be taken.
  See Also:
    `ECPApplicableTester.isApplicable(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.